# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Polyline Class Reference

`#include <StepGeom_Polyline.hxx>`

Inheritance diagram for StepGeom_Polyline:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_Polyline ()
| Returns a Polyline .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_HArray1OfCartesianPoint)&aPoints)
Standard_EXPORT void | SetPoints (const Handle(StepGeom_HArray1OfCartesianPoint)&aPoints)
Standard_EXPORT Handle_StepGeom_HArray1OfCartesianPoint | Points () const
Standard_EXPORT Handle_StepGeom_CartesianPoint | PointsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbPoints () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_HArray1OfCartesianPoint | points

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Polyline::StepGeom_Polyline | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_Polyline::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_BoundedCurve.

virtual Standard_EXPORT void StepGeom_Polyline::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aPoints
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_Polyline::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Standard_Integer StepGeom_Polyline::NbPoints | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_HArray1OfCartesianPoint StepGeom_Polyline::Points | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_CartesianPoint StepGeom_Polyline::PointsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT void StepGeom_Polyline::SetPoints | ( | const Handle(StepGeom_HArray1OfCartesianPoint)& | aPoints | ) |

## Field Documentation

Handle_StepGeom_HArray1OfCartesianPoint StepGeom_Polyline::points `[private]`

The documentation for this class was generated from the following file:

- StepGeom_Polyline.hxx